Package ru.bitel.bgbilling.modules.voice.server.bean

# Class VoiceSessionLogDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.common.dao.AbstarctDaoConstant
ru.bitel.common.dao.AbstractDao<VoiceSession>
ru.bitel.bgbilling.modules.voice.server.bean.VoiceSessionLogDao

All Implemented Interfaces:
  `AutoCloseable`

Direct Known Subclasses:
  `VoiceSessionDao`

public class VoiceSessionLogDao extends ru.bitel.common.dao.AbstractDao<VoiceSession>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

  `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `TABLE_VOICE_SESSION_LOG`

  ### Fields inherited from class ru.bitel.common.dao.AbstractDao

  `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, moduleId, orderByPattern, tableName`

  ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `ERROR, fields, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `VoiceSessionLogDao(Connection con, int moduleId, String tableName)`
  ``
  `VoiceSessionLogDao(Connection con, int moduleId, Date date)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `checkTables(Connection con, int moduleId, Date date)`
  `void`
  `deleteSessions(int divizer, int remainder, Date hour, int deviceId)`
  `void`
  `deleteSessions(LocalDate day, int deviceId)`
  `void`
  `deleteSessions(Date hour, int deviceId)`
  `VoiceSession`
  `get(long id)`
  `VoiceSession`
  `get(long id, PreparedStatement ps)`
  `SessionAccountAmount`
  `getContractSums(VoiceSessionFilter filter)`
  Получение отфильтрованного списка сессий.
  `Map<String,SessionDetail>`
  `getDetailSumValues(VoiceSessionFilter filter)`
  `protected String`
  `getFieldPart()`
  `protected VoiceSession`
  `getFromRS(ResultSet rs)`
  `PreparedStatement`
  `getPreparedStatementGet(Connection con)`
  `static VoiceSession`
  `getSessionFromRs(ResultSet rs)`
  `List<SessionDetail<SessionDetail<SessionDetailReportItem>>>`
  `getSessionsDetail(VoiceSessionFilter filter, Page page)`
  `List<SessionAccountReportItem>`
  `getSessionsGroupedByAccount(VoiceSessionFilter filter)`
  `List<SessionDestinationReportItem>`
  `getSessionsGroupedByAccountAndDestination(VoiceSessionFilter filter)`
  `List<SessionServiceReportItem>`
  `getSessionsGroupedByAccountAndService(VoiceSessionFilter filter)`
  `void`
  `insertSessions(List<VoiceSession> sessions)`
  `List<VoiceSession>`
  `list()`
  `List<VoiceSession>`
  `list(VoiceSessionFilter filter, Page page, boolean loadSessionAccount)`
  `protected int`
  `setPsParams(VoiceSession session, PreparedStatement ps, int idx)`
  `protected void`
  `updateImpl(VoiceSession session)`

  ### Methods inherited from class ru.bitel.common.dao.AbstractDao

  `close, delete, deleteImpl, dropTemporaryTable, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, loadData, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, processException, setPageRecordCount, setStatementParam, update`

  ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `getSQLOrder, psSetDate, psSetInt, psSetString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TABLE_VOICE_SESSION_LOG

    public static final String TABLE_VOICE_SESSION_LOG
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### VoiceSessionLogDao

    public VoiceSessionLogDao(Connection con, int moduleId, Date date)

  - ### VoiceSessionLogDao

    protected VoiceSessionLogDao(Connection con, int moduleId, String tableName)

- ## Method Details

  - ### getFromRS

    protected VoiceSession getFromRS(ResultSet rs) throws SQLException
    Specified by:
      `getFromRS` in class `ru.bitel.common.dao.AbstractDao<VoiceSession>`
    Throws:
      `SQLException`

  - ### getSessionFromRs

    public static VoiceSession getSessionFromRs(ResultSet rs) throws SQLException
    Throws:
      `SQLException`

  - ### updateImpl

    protected void updateImpl(VoiceSession session) throws ru.bitel.bgbilling.common.BGException, SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.common.dao.AbstractDao<VoiceSession>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### getFieldPart

    protected String getFieldPart()

  - ### setPsParams

    protected int setPsParams(VoiceSession session, PreparedStatement ps, int idx) throws SQLException
    Throws:
      `SQLException`

  - ### getContractSums

    public SessionAccountAmount getContractSums(VoiceSessionFilter filter) throws ru.bitel.bgbilling.common.BGException
    Получение отфильтрованного списка сессий.
    Parameters:
      `filter` - фильтр
    Returns:
      отфильтрованный список сессий
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getSessionsGroupedByAccount

    public List<SessionAccountReportItem> getSessionsGroupedByAccount(VoiceSessionFilter filter) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getSessionsGroupedByAccountAndDestination

    public List<SessionDestinationReportItem> getSessionsGroupedByAccountAndDestination(VoiceSessionFilter filter) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getSessionsGroupedByAccountAndService

    public List<SessionServiceReportItem> getSessionsGroupedByAccountAndService(VoiceSessionFilter filter) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getSessionsDetail

    public List<SessionDetail<SessionDetail<SessionDetailReportItem>>> getSessionsDetail(VoiceSessionFilter filter, Page page) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getDetailSumValues

    public Map<String,SessionDetail> getDetailSumValues(VoiceSessionFilter filter) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### list

    public List<VoiceSession> list(VoiceSessionFilter filter, Page page, boolean loadSessionAccount) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### checkTables

    public static void checkTables(Connection con, int moduleId, Date date) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### insertSessions

    public void insertSessions(List<VoiceSession> sessions) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteSessions

    public void deleteSessions(LocalDate day, int deviceId) throws SQLException, ru.bitel.bgbilling.common.BGException
    Throws:
      `SQLException`
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteSessions

    public void deleteSessions(Date hour, int deviceId) throws SQLException, ru.bitel.bgbilling.common.BGException
    Throws:
      `SQLException`
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteSessions

    public void deleteSessions(int divizer, int remainder, Date hour, int deviceId) throws SQLException, ru.bitel.bgbilling.common.BGException
    Throws:
      `SQLException`
      `ru.bitel.bgbilling.common.BGException`

  - ### list

    public List<VoiceSession> list() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getPreparedStatementGet

    public PreparedStatement getPreparedStatementGet(Connection con) throws SQLException
    Throws:
      `SQLException`

  - ### get

    public VoiceSession get(long id) throws SQLException
    Throws:
      `SQLException`

  - ### get

    public VoiceSession get(long id, PreparedStatement ps) throws SQLException
    Throws:
      `SQLException`